org.apache.ignite.ml.tree.randomforest.data.statistics

## Class NormalDistributionStatisticsComputer

- java.lang.Object
- - org.apache.ignite.ml.tree.randomforest.data.statistics.NormalDistributionStatisticsComputer

- All Implemented Interfaces:
    Serializable

      public class NormalDistributionStatisticsComputer
      extends Object
      implements Serializable

  Normal distribution parameters computer logic.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalDistributionStatisticsComputer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<NormalDistributionStatistics>` | `computeStatistics(List<FeatureMeta> meta, Dataset<EmptyContext,BootstrappedDatasetPartition> dataset)` Computes statistics of normal distribution on features in dataset.
    `List<NormalDistributionStatistics>` | `computeStatsOnPartition(BootstrappedDatasetPartition part, List<FeatureMeta> meta)` Aggregates normal distribution statistics for continual features in dataset partition.
    `List<NormalDistributionStatistics>` | `reduceStats(List<NormalDistributionStatistics> left, List<NormalDistributionStatistics> right, List<FeatureMeta> meta)` Merges statistics on features from two partitions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalDistributionStatisticsComputer

          public NormalDistributionStatisticsComputer()

  - ### Method Detail

    - #### computeStatistics

          public List<NormalDistributionStatistics> computeStatistics(List<FeatureMeta> meta,
                                                                      Dataset<EmptyContext,BootstrappedDatasetPartition> dataset)

      Computes statistics of normal distribution on features in dataset.
      Parameters:
        `meta` - Meta.
        `dataset` - Dataset.

    - #### computeStatsOnPartition

          public List<NormalDistributionStatistics> computeStatsOnPartition(BootstrappedDatasetPartition part,
                                                                            List<FeatureMeta> meta)

      Aggregates normal distribution statistics for continual features in dataset partition.
      Parameters:
        `part` - Partition.
        `meta` - Meta.
      Returns:
        Statistics for each feature.

    - #### reduceStats

          public List<NormalDistributionStatistics> reduceStats(List<NormalDistributionStatistics> left,
                                                                List<NormalDistributionStatistics> right,
                                                                List<FeatureMeta> meta)

      Merges statistics on features from two partitions.
      Parameters:
        `left` - Left.
        `right` - Right.
        `meta` - Features meta.
      Returns:
        Plus of statistics for each features.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023